# Retrieve deal statuses

## Get deal statuses

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/deal-statuses/{templateId}`

This endpoint allows you to retrieve status data for deals.

#### Path Parameters

| Name       | Type    | Description           |
| ---------- | ------- | --------------------- |
| templateId | integer | The deal template ID. |

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

{% tabs %}
{% tab title="200 Deal statuses retrieved successfully." %}

```javascript
{
    "statuses": [
        {
            "statusId": 2,
            "statusName": "Created"
        },
        {
            "statusId": 4,
            "statusName": "DM Signed"
        },
        {
            "statusId": 6,
            "statusName": "LFA Outstanding (Yes DM)"
        },
        {
            "statusId": 15,
            "statusName": "LFA Outstanding (No DM)"
        },
        {
            "statusId": 3,
            "statusName": "LFA Partially Signed"
        },
        {
            "statusId": 7,
            "statusName": "LFA Fully Signed"
        },
        {
            "statusId": 16,
            "statusName": "In Default"
        },
        {
            "statusId": 17,
            "statusName": "Active, Deletable, Locked"
        },
        {
            "statusId": 18,
            "statusName": "Active, Deletable, Unlocked"
        },
        {
            "statusId": 9,
            "statusName": "Active, Not Deletable, Locked"
        },
        {
            "statusId": 19,
            "statusName": "Active, Not Deletable, Unlocked"
        },
        {
            "statusId": 20,
            "statusName": "Inactive, Deletable, Locked"
        },
        {
            "statusId": 14,
            "statusName": "Inactive, Deletable, Unlocked"
        },
        {
            "statusId": 10,
            "statusName": "Inactive, Not Deletable, Locked"
        },
        {
            "statusId": 21,
            "statusName": "Inactive, Not Deletable, Unlocked"
        },
        {
            "statusId": 22,
            "statusName": "Out for Signature"
        },
        {
            "statusId": 23,
            "statusName": "Fully Signed"
        },
        {
            "statusId": 24,
            "statusName": "Approval Requested"
        },
        {
            "statusId": 25,
            "statusName": "Approved"
        },
        {
            "statusId": 26,
            "statusName": "Rejected"
        },
        {
            "statusId": 27,
            "statusName": "Completed"
        },
        {
            "statusId": 28,
            "statusName": "Approved_RG"
        },
        {
            "statusId": 29,
            "statusName": "Amended"
        },
        {
            "statusId": 30,
            "statusName": "Lock Royalty Records (Chained)"
        },
        {
            "statusId": 31,
            "statusName": "Unlock Royalty Records (Chained)"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/deal/retrieve-deal-statuses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
